#
# spec file for package librsync (Version 0.9.7)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           librsync
%if 0%{?suse_version} <= 1010
BuildRequires:	bzip2
%else
BuildRequires:  libbz2-devel
%endif
BuildRequires:  popt-devel zlib-devel
License:        LGPL v2 or later
Group:          Development/Libraries/C and C++
Autoreqprov:    on
Summary:        A Library for Generating Network Deltas
Version:        0.9.7
Release:        105.1
URL:            http://librsync.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/rproxy/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-strictalias.diff
Patch1:         librsync-0.9.7-largefiles.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files.  librsync computes a delta relative to a
file's checksum, so the two files need not both be present to generate
a delta.



Authors:
--------
    Martin Pool <mbp@samba.org>
    Andrew Tridgell <tridge@samba.org>
    Donovan Baarda <abo@minkirri.apana.org.au>

%prep
%setup -q
%patch0
%patch1

%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS" 
%configure --enable-shared --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
%{__rm} %{buildroot}%{_libdir}/librsync.la

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/librsync.so
%{_libdir}/librsync.so.1*
%{_bindir}/rdiff
%{_mandir}/man?/*
%{_includedir}/*.h
%doc AUTHORS COPYING NEWS README THANKS TODO

%changelog
* Sun Sep  2 2007 crrodriguez@suse.de
- library was unable to handle files larger than 4GB properly (librsync-0.9.7-largefiles.patch)
- fix build dependencies
* Sun Aug 26 2007 crrodriguez@suse.de
- spec cleanup
- stop using bundled popt library, use system one
- enable shared library
- disable static library
- remove libtool archive
* Sat Mar 24 2007 rguenther@suse.de
- add libbz2-devel and zlib-devel BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 14 2005 cthiel@suse.de
- specfile cleanup
* Thu Apr 14 2005 cthiel@suse.de
- update to 0.9.7
* Fri Feb  6 2004 garloff@suse.de
- Fix strict aliasing issues.
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Sun Aug 17 2003 garloff@suse.de
- Reenable installation of rdiff tool.
- Update to 0.9.6:
  * Large file support fixes.
  * [v]snprintf or _[v]snprintf autoconf replacement function fix.
  * Changed installed include file from rsync.h to librsync.h.
  * Rollsum bugfix that produces much smaller deltas.
  * Memory leaks bugfix patches.
  * mdfour bigendian and >512M bugfix, plus optimisations patch.
  * autoconf/automake updates and cleanups for autoconf 2.53.
* Fri Aug 16 2002 ro@suse.de
- removed empty post/postun scripts (#17922)
* Tue Jan 29 2002 schwab@suse.de
- Build with -fPIC so that it can be included in a shared library.
- Fix unaligned accesses.
* Tue Jan 29 2002 garloff@suse.de
- Fix building for s390x by using %%{_libdir}
* Fri Jan 18 2002 garloff@suse.de
- Update to 0.9.5 (moved from samba.org to sourceforge apparently)
* Thu Jan 17 2002 garloff@suse.de
- Initial creation of package (0.9.3)
